> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Proxy REST API Playground

> Access proxy networks using REST API

<Note> See instruction on how to create API Token: [API Token creation](https://docs.brightdata.com/general/account/api-token)</Note>


## OpenAPI

````yaml proxy-rest-api POST /request
openapi: 3.0.1
info:
  title: Brightdata API
  description: >-
    Integrate Bright Data APIs to your pipeline and secure high-end scraping
    precision
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /request:
    post:
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostBody'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP200'
        '400':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP400'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTP401'
components:
  schemas:
    PostBody:
      required:
        - zone
        - url
        - format
      type: object
      properties:
        zone:
          description: Name of the proxy zone which will service your request.
          type: string
        url:
          description: Target URL for your request.
          type: string
        format:
          description: |-
            Format for requesting a raw HTML via proxy is `raw`.

            Format for request a JSON response is `json`.
          type: string
          enum:
            - raw
            - json
        method:
          description: Method for requesting an HTML via proxy is `GET`.
          type: string
          default: GET
        country:
          description: Country code of proxy which request is relayed through.
          type: string
        city:
          description: >-
            City name of proxy which request is relayed through, must have
            country defined.


            Supported in DC & ISP for zones pre-configured with cities, and in
            Residential and mobile networks by default.
          type: string
        zip:
          description: >-
            Zip code which request is relayed through, must have country
            defined.


            Supported in Residential networks only.
          type: string
        ASN:
          description: |-
            ASN code which request is relayed thru, must have country defined.

            Supported in Residential networks only.
          type: string
        carrier:
          description: >-
            For mobile network only: carrier code in which request is relayed
            through.


            Supported in mobile networks only.
          type: string
        os:
          description: |-
            Operating system of the client to set on proxy.

            Supported in mobile networks only.
          type: string
        dns:
          description: >-
            Use `local` or `remote` to set if domain name mapping is done
            locally on client side or on remote proxy peer.
          type: string
          enum:
            - local
            - remote
        session:
          description: >-
            A string relayed by the client to mark a session, all requests with
            the same session parameter will be relayed to the same proxy peer.
          type: string
        ip:
          description: >-
            In Datacenter and ISP zones: Relay the request to a specific proxy
            identified by the `ip`.
          type: string
        gip:
          description: >-
            In `Residential` and `Mobile` zones: Relay the request to a specific
            proxy group identified by the `gip`.
          type: string
        c_tag:
          description: >-
            Include a unique `c_tag` flag in their requests. In response,
            businesses echo back the same tag in the header. This seamless
            exchange ensures that each response is bound to its corresponding
            request, eliminating confusion and streamlining data management.
          type: string
        direct:
          description: >-
            Setting the parameter to `true` will instruct to process the request
            by Bright Data super proxy, a datacenter located proxy and not the
            proxy peer itself.
          type: boolean
    HTTP200:
      type: string
      example: OK
    HTTP400:
      type: string
      example: Bad Request
    HTTP401:
      type: string
      example: User authentication is required
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````